/// <reference types="node" />
import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { Key } from '../types/Key';
export declare type EditionMarkerArgs = {
    key: Key;
    ledger: number[];
};
export declare class EditionMarker implements EditionMarkerArgs {
    readonly key: Key;
    readonly ledger: number[];
    private constructor();
    static fromArgs(args: EditionMarkerArgs): EditionMarker;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [EditionMarker, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey): Promise<EditionMarker>;
    static deserialize(buf: Buffer, offset?: number): [EditionMarker, number];
    serialize(): [Buffer, number];
    static get byteSize(): number;
    static getMinimumBalanceForRentExemption(connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static hasCorrectByteSize(buf: Buffer, offset?: number): boolean;
    pretty(): {
        key: string;
        ledger: number[];
    };
}
export declare const editionMarkerBeet: beet.BeetStruct<EditionMarker, EditionMarkerArgs>;
