/// <reference types="node" />
import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { Key } from '../types/Key';
export declare type UseAuthorityRecordArgs = {
    key: Key;
    allowedUses: beet.bignum;
    bump: number;
};
export declare class UseAuthorityRecord implements UseAuthorityRecordArgs {
    readonly key: Key;
    readonly allowedUses: beet.bignum;
    readonly bump: number;
    private constructor();
    static fromArgs(args: UseAuthorityRecordArgs): UseAuthorityRecord;
    static fromAccountInfo(accountInfo: web3.AccountInfo<Buffer>, offset?: number): [UseAuthorityRecord, number];
    static fromAccountAddress(connection: web3.Connection, address: web3.PublicKey): Promise<UseAuthorityRecord>;
    static deserialize(buf: Buffer, offset?: number): [UseAuthorityRecord, number];
    serialize(): [Buffer, number];
    static get byteSize(): number;
    static getMinimumBalanceForRentExemption(connection: web3.Connection, commitment?: web3.Commitment): Promise<number>;
    static hasCorrectByteSize(buf: Buffer, offset?: number): boolean;
    pretty(): {
        key: string;
        allowedUses: beet.bignum;
        bump: number;
    };
}
export declare const useAuthorityRecordBeet: beet.BeetStruct<UseAuthorityRecord, UseAuthorityRecordArgs>;
